<template>
  <div class="main-banner">
    <div class="slider">
      <div class="slides">
        <input type="radio" name="radio-btn" id="radio1" />
        <input type="radio" name="radio-btn" id="radio2" />
        <input type="radio" name="radio-btn" id="radio3" />
        <input type="radio" name="radio-btn" id="radio4" />

        <div class="slide first">
          <img
            src="https://crackersphotos.s3.amazonaws.com/assets/diwali1.jpg"
            alt=""
          />
        </div>
        <div class="slide">
          <img
            src="https://crackersphotos.s3.amazonaws.com/assets/s8.jpeg"
            alt=""
          />
        </div>
        <div class="slide">
          <img
            src="https://crackersphotos.s3.amazonaws.com/assets/s9.jpeg"
            alt=""
          />
        </div>
        <div class="slide">
          <img
            src="https://crackersphotos.s3.amazonaws.com/assets/diwali.jpg"
            alt=""
          />
        </div>

        <div class="navigation-auto">
          <div class="auto-btn1"></div>
          <div class="auto-btn2"></div>
          <div class="auto-btn3"></div>
          <div class="auto-btn4"></div>
        </div>

        <div class="navigation-manual">
          <label for="radio1" class="manual-btn"></label>
          <label for="radio2" class="manual-btn"></label>
          <label for="radio3" class="manual-btn"></label>
          <label for="radio4" class="manual-btn"></label>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
var counter = 1;
setInterval(function() {
  document.getElementById("radio" + counter).checked = true;
  counter++;
  if (counter > 4) {
    counter = 1;
  }
}, 4000);
</script>

<style scopped>
body {
  margin: 0px;
  padding: 0px;
  width: 1345px;
}
.main-banner {
  /* padding-top:42px ; */
  margin: 0px;
  /* padding: 0px; */
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.slider {
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.slides {
  width: 500%;
  height: 100%;
  display: flex;
}
.slides input {
  display: none;
}
.slide {
  width: 20%;
  transition: 2s;
}
.slide img {
  width: 100%;
  height: 100%;
}
.navigation-manual {
  position: absolute;
  bottom: 15px;
  width: 1345px;
  display: flex;
  justify-content: center;
}
.manual-btn {
  border: 3px solid gray;
  padding: 8px;
  border-radius: 15px;
  cursor: pointer;
  transition: 1s;
}
.manual-btn:not(:last-child) {
  margin-right: 40px;
}
.manual-btn:hover {
  background-color: white;
}
#radio1:checked ~ .first {
  margin-left: 0;
}
#radio2:checked ~ .first {
  margin-left: -20%;
}
#radio3:checked ~ .first {
  margin-left: -40%;
}
#radio4:checked ~ .first {
  margin-left: -60%;
}
.navigation-auto {
  position: absolute;
  display: flex;
  width: 1345px;
  justify-content: center;
  bottom: 22px;
}

.navigation-auto div {
  border: 3px solid #555;
  padding: 8px;
  border-radius: 15px;
  transition: 1s;
}
.navigation-auto div:not(:last-child) {
  margin-right: 40px;
}
#radio1:checked ~ .navigation-auto .auto-btn1 {
  background: #fff;
}
#radio2:checked ~ .navigation-auto .auto-btn2 {
  background: #fff;
}
#radio3:checked ~ .navigation-auto .auto-btn3 {
  background: #fff;
}
#radio4:checked ~ .navigation-auto .auto-btn4 {
  background: #fff;
}
@media screen and (min-width: 1920px) {
  body {
    margin: 0px;
    padding: 0px;
    width: 1920px;
  }
  .navigation-auto {
    position: absolute;
    display: flex;
    width: 1920px;
    justify-content: center;
    bottom: 22px;
  }
  .navigation-manual {
    position: absolute;
    bottom: 15px;
    width: 1920px;
    display: flex;
    justify-content: center;
  }
}
</style>
